Skip to main content
GET
/
v5
/
vector-stores
/
{vector_store_name}
/
vectors
List Vectors
curl --request GET \
  --url https://api.egp.scale.com/v5/vector-stores/{vector_store_name}/vectors \
  --header 'x-api-key: <api-key>'
{
  "vectors": [
    {
      "id": "<string>",
      "content": {
        "text": "<string>",
        "type": "text"
      },
      "metadata": {},
      "vector": [
        123
      ]
    }
  ],
  "total": 123,
  "has_more": true,
  "object": "list",
  "limit": 100,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

vector_store_name
string
required

The name of the vector store

Query Parameters

filter
string | null

Metadata filter expression (JSON)

include_vectors
boolean
default:false

Include embedding vectors

starting_after
string | null
cursor
string | null
ending_before
string | null
limit
integer
default:100
Required range: 1 <= x <= 10000
sort_by
string | null
sort_order
enum<string> | null
default:asc
Available options:
asc,
desc

Response

Successful Response

Paginated list of vector documents with cursors for forward and backward navigation.

vectors
VectorDocumentResponse · object[]
required

Array of documents

total
integer
required

The total of items that match the query. This is greater than or equal to the number of items returned.

has_more
boolean
required

Whether there are more items left to be fetched.

object
string
default:list
Allowed value: "list"
limit
integer
default:100

The maximum number of items to return.

next_cursor
string

Pass as starting_after to fetch the next page. None when there is no next page.

prev_cursor
string

Pass as ending_before to fetch the previous page. None when on the first page.